!function() {
    window.dailuobo = {
        version: '0.1.0',
    };

    function setNavBarTitle(title) {
        var params = {
            title: title || ""
        };
        bridge.sendToNative('setNavBarTitle', params, null);
    };

    function setNavBarRightItem(title, icon, handler) {
        var params = {
            title: title || "",
            icon: icon || ""
        };

        bridge.sendToNative('setNavBarRightItem', params, handler);
    };

    function setNavBarLeftItem(title, icon, handler) {
        var params = {
            title: title || "",
            icon: icon || "",
        };

        bridge.sendToNative('setNavBarLeftItem', params, handler);
    };

    function setNavBarStyle(style) {
        var params = {
            style: style || ""
        };

        bridge.sendToNative('setNavBarStyle', style, null);
    };

    function close() {
        bridge.sendToNative('close', null, null);
    };

    function setStatusBarStyle(style) {
        var params = {
            style: style || ""
        };

        bridge.sendToNative('setStatusBarStyle', style, null);
    };

    function share (params) {
        bridge.sendToNative('share', params, null);
    };

    function login (callback) {
        bridge.sendToNative('login', null, callback);
    };

    function logout (callback) {
            bridge.sendToNative('logout', null, callback);
    };

    function userInfo () {
        var result = bridge.sendToNative('userInfo', null, null);
        return result ? JSON.parse(result) : null;
    };

    function appInfo () {
        var result = bridge.sendToNative('appInfo', null, null);
        return result ? JSON.parse(result) : null;
    };

    function location (callback) {
        bridge.sendToNative('location', null, callback);
    };
    function netStatus () {
        var result = bridge.sendToNative('netStatus', null, null);
        return result ? JSON.parse(result) : null;
    };

    function track (objectId, extraJson) {
        var params = {
            objectId: objectId || "",
            extraJson: extraJson || ""
        };

        bridge.sendToNative('track', params, null);
    };

    dailuobo.openBrowser = function (url) {
        var params = {
            url: url || ""
        };

        bridge.sendToNative('openBrowser', params, null);
    };

    dailuobo.setNavBarTitle = setNavBarTitle;
    dailuobo.setNavBarRightItem = setNavBarRightItem;
    dailuobo.setNavBarLeftItem = setNavBarLeftItem;
    dailuobo.close = close;
    dailuobo.setNavBarStyle = setNavBarStyle;
    dailuobo.setStatusBarStyle = setStatusBarStyle;
    dailuobo.share = share;
    dailuobo.login = login;
    dailuobo.logout = logout;
    dailuobo.userInfo = userInfo;
    dailuobo.appInfo = appInfo;
    dailuobo.location = location;
    dailuobo.netStatus = netStatus;
    dailuobo.track = track;
}();